package com.hzya.frame.seeyon.cbs8.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @Description 代发代扣明细表
 * @Author xiangerlin
 * @Date 2024/6/18 14:58
 **/
public class AgentPaymentDetailEntity extends BaseEntity {
    //每笔明细金额
    private String dtlAmount;
    //收款账号
    private String dtlRevAccount;
    //联行号 同行可不传，跨行必传
    private String dtlCnapsCode;
    //收款账户名称
    private String dtlRevName;
    //收款开户行 ,如果传的联行号能匹配到对应到开户行，cbs8会自动带出
    private String dtlRevBankName;
    //主表id
    private String formmainId;
    //表名
    private String tabName;

    //明细序号，从1开始递增
    private int dtlSeqNum;

    //支付结果
    private String payResult;
    //支付日期
    private String payDate;

    public String getDtlAmount() {
        return dtlAmount;
    }

    public void setDtlAmount(String dtlAmount) {
        this.dtlAmount = dtlAmount;
    }

    public String getDtlRevAccount() {
        return dtlRevAccount;
    }

    public void setDtlRevAccount(String dtlRevAccount) {
        this.dtlRevAccount = dtlRevAccount;
    }

    public String getDtlCnapsCode() {
        return dtlCnapsCode;
    }

    public void setDtlCnapsCode(String dtlCnapsCode) {
        this.dtlCnapsCode = dtlCnapsCode;
    }

    public String getDtlRevName() {
        return dtlRevName;
    }

    public void setDtlRevName(String dtlRevName) {
        this.dtlRevName = dtlRevName;
    }

    public String getDtlRevBankName() {
        return dtlRevBankName;
    }

    public void setDtlRevBankName(String dtlRevBankName) {
        this.dtlRevBankName = dtlRevBankName;
    }

    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public String getTabName() {
        return tabName;
    }

    public void setTabName(String tabName) {
        this.tabName = tabName;
    }

    public int getDtlSeqNum() {
        return dtlSeqNum;
    }

    public void setDtlSeqNum(int dtlSeqNum) {
        this.dtlSeqNum = dtlSeqNum;
    }

    public String getPayResult() {
        return payResult;
    }

    public void setPayResult(String payResult) {
        this.payResult = payResult;
    }

    public String getPayDate() {
        return payDate;
    }

    public void setPayDate(String payDate) {
        this.payDate = payDate;
    }
}
